import { BaseLogger } from '@credo-ts/core';
import { AxiosInstance } from 'axios';
export type CacheDataFile = {
    fileEtag: string;
    updatedAt: Date;
};
export declare class FileCache {
    protected axiosInstance: AxiosInstance;
    protected _fileEtag?: string;
    protected log?: BaseLogger;
    private workspace;
    private cacheFileName;
    constructor(indexFileBaseUrl: string, workspace: string, cacheDataFileName: string, log?: BaseLogger);
    set fileEtag(value: string);
    get fileEtag(): string;
    protected saveCacheData: (cacheData: CacheDataFile) => Promise<boolean>;
    protected saveFileToLocalStorage: (fileName: string, data: string) => Promise<boolean>;
    protected fileStoragePath: () => string;
    protected createWorkingDirectoryIfNotExists: () => Promise<boolean>;
    protected loadFileFromLocalStorage: (fileName: string) => Promise<string | undefined>;
    protected checkFileExists: (fileName: string) => Promise<boolean>;
}
//# sourceMappingURL=fileCache.d.ts.map